Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class ItemLevelFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.AbstractLevelFilter
              baseCode.dataFilter.ItemLevelFilter

All Implemented Interfaces:
  Filter

public class ItemLevelFilter
extends AbstractLevelFilter

Filter that remove individual values that are outside of a range. Removed values are set to NaN.

Copyright (c) 2004 Columbia University

Version:
  $Id: ItemLevelFilter.java,v 1.5 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Pavlidis

Field Summary

Fields inherited from class baseCode.dataFilter.AbstractLevelFilter
`highCut, lowCut, useHighAsFraction, useLowAsFraction`

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`ItemLevelFilter()`

Method Summary
`NamedMatrix` | `filter(NamedMatrix data)` Filter the data

Methods inherited from class baseCode.dataFilter.AbstractLevelFilter
`setHighCut, setHighCut, setLowCut, setLowCut, setUseAsFraction, setUseHighCutAsFraction, setUseLowCutAsFraction`

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemLevelFilter

    public ItemLevelFilter()

Method Detail

### filter

    public NamedMatrix filter(NamedMatrix data)

  Description copied from interface: `Filter`
  Filter the data

  Parameters:
    `data` - a NamedMatrix. Some types of filters require that this be of a particular type of implementation of the Filter interface.
  Returns:
    The resulting filtered matrix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.